| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | List of all members
stan::contains_fvar< T1, T2, T3, T4, T5, T6 > Struct Template Reference

Metaprogram to calculate the base scalar return type resulting from promoting all the scalar types of the template parameters. More...

`#include <contains_fvar.hpp>`

## Public Types
enum | { value }

## Detailed Description

### template<typename T1, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>
struct stan::contains_fvar< T1, T2, T3, T4, T5, T6 >

Metaprogram to calculate the base scalar return type resulting from promoting all the scalar types of the template parameters.

Definition at line 19 of file contains_fvar.hpp.

## Member Enumeration Documentation

template<typename T1, typename T2 = double, typename T3 = double, typename T4 = double, typename T5 = double, typename T6 = double>

anonymous enum

Enumerator
value |

Definition at line 20 of file contains_fvar.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/meta/contains_fvar.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.